Package org.bukkit.block.data.type

# Interface TechnicalPiston

All Superinterfaces:
  `BlockData`, `Cloneable`, `Directional`

All Known Subinterfaces:
  `PistonHead`

public interface TechnicalPiston extends Directional
'type' represents the type of piston which this (technical) block corresponds to.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`TechnicalPiston.Type`
Different piston variants.

## Method Summary

Modifier and Type
Method
Description
`@NotNull TechnicalPiston.Type`
`getType()`
Gets the value of the 'type' property.
`void`
`setType(@NotNull TechnicalPiston.Type type)`
Sets the value of the 'type' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

## Method Details

### getType

@NotNull @NotNull TechnicalPiston.Type getType()
Gets the value of the 'type' property.

Returns:
  the 'type' value

### setType

void setType(@NotNull @NotNull TechnicalPiston.Type type)
Sets the value of the 'type' property.

Parameters:
  `type` - the new 'type' value